//
//  GSLayer-Transformation.h
//  TransformPanel
//
//  Created by Georg Seifert on 16.07.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlyphsCore/GSLayer.h>

@interface GSLayer (Transformation)

- (void)slantX:(CGFloat)angle origin:(NSPoint)origin doCorrection:(BOOL)correction checkSelection:(BOOL)checkSelection;

- (void)slantY:(CGFloat)angle origin:(NSPoint)origin doCorrection:(BOOL)correction checkSelection:(BOOL)checkSelection;

- (void)doSlantingCorrectionWithAngle:(CGFloat)angle origin:(NSPoint)origin checkSelection:(BOOL)checkSelection;

@end
